Subject: Re: bug#46935: 28.0.50; Annoying interactions with X clipboard

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 20 Jun 2022 17:34:44 +0200

Po Lu <[email-masked]> writes:

> Thanks, should be fixed now.  The problem was wait_reading_process_input
> skipping the call to select upon detect_input_pending even when just
> waiting for a cell, without anyone reading keyboard input from the
> keyboard buffer.

Thanks; I can confirm that it works fine now.

> This bug has existed for a long time.  I wonder why it was only just
> reported.

Unfortunately, people have a tendency to just live with quirks like this
instead of reporting it...

Anyway, it was suggested to issue a message if the selection takes a
long time, so I've now added this.  I wasn't quite sure on what level,
but `gui-backend-get-selection' seems an OK place.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no